gss_process_context_token(3)

NAME
gss_process_context_token - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_process_context_token(OM_uint32 * minor_status, const gss_ctx_id_t context_handle, const gss_buffer_t token_buffer);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Implementation specific status code.

const gss_ctx_id_t context_handle
    (gss_ctx_id_t, read) Context handle of context on
      which token is to be processed

const gss_buffer_t token_buffer
    (buffer, opaque, read) Token to process.

DESCRIPTION
Provides a way to pass an asynchronous token to the security service. Most context-level tokens are emitted and processed synchronously by gss_init_sec_context and gss_accept_sec_context, and the application is informed as to whether further tokens are expected by the GSS_C_CONTINUE_NEEDED major status bit. Occasionally, a mechanism may need to emit a context-level token at a point when the peer entity is not expecting a token. For example, the initiator's final call to gss_init_sec_context may emit a token and return a status of GSS_S_COMPLETE, but the acceptor's call to gss_accept_sec_context may fail. The acceptor's mechanism may wish to send a token containing an error indication to the initiator, but the initiator is not expecting a token at this point, believing that the context is fully established. Gss_process_context_token provides a way to pass such a token to the mechanism at any time.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_DEFECTIVE_TOKEN`: Indicates that consistency checks performed on the token failed.

`GSS_S_NO_CONTEXT`: The context_handle did not refer to a valid context.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.